package com.ruoyi.mall.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.mall.domain.MallBaseStation;

/**
 * 基站Mapper接口
 *
 * @author LCL
 * @date 2024-03-17
 */
public interface MallBaseStationMapper
{
    /**
     * 查询基站
     *
     * @param baseStationId 基站主键
     * @return 基站
     */
    public MallBaseStation selectMallBaseStationByBaseStationId(Long baseStationId);

    /**
     * 查询基站列表
     *
     * @param mallBaseStation 基站
     * @return 基站集合
     */
    public List<MallBaseStation> selectMallBaseStationList(MallBaseStation mallBaseStation);

    /**
     * 新增基站
     *
     * @param mallBaseStation 基站
     * @return 结果
     */
    public int insertMallBaseStation(MallBaseStation mallBaseStation);

    /**
     * 修改基站
     *
     * @param mallBaseStation 基站
     * @return 结果
     */
    public int updateMallBaseStation(MallBaseStation mallBaseStation);

    /**
     * 删除基站
     *
     * @param baseStationId 基站主键
     * @return 结果
     */
    public int deleteMallBaseStationByBaseStationId(Long baseStationId);

    /**
     * 批量删除基站
     *
     * @param baseStationIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallBaseStationByBaseStationIds(Long[] baseStationIds);

    /**
     * APP查询基站列表
     *
     * @param params 参数
     * @return 基站集合
     */
    public List<Map<String, Object>> selectAppMallBaseStationList(Map<String,Object> params);

    /**
     * APP查询基站
     *
     * @param params 参数
     * @return 基站集合
     */
    public Map<String, Object> selectAppMallBaseStation(Map<String,Object> params);
}
